Bug 1342697 - Arduino plug-in cannot loaded.
Summary: Arduino plug-in cannot loaded.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Roland Grunberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-04 00:02 UTC by Onuralp SEZER
Modified: 2016-11-23 03:53 UTC (History)
5 users (show)

Fixed In Version: eclipse-cdt-9.1.0-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-23 03:53:57 UTC
Type: Bug


Attachments (Terms of Use)
Arduino CDT package file list. (1.59 KB, text/plain)
2016-06-04 00:02 UTC, Onuralp SEZER
no flags Details

Description Onuralp SEZER 2016-06-04 00:02:27 UTC
Created attachment 1164654 [details]
Arduino CDT package file list.

Description of problem:
Eclipse CDT Arduino plugin not working/cannot loaded.

Version-Release number of selected component (if applicable):

(installed from fedora pkg itself. It's not repository for sure)
eclipse-cdt-arduino-9.0.0-0.8.gitdff6b3b.fc24.x86_64


Actual results:

When I open eclipse and check "about eclipse" or "plugin-manager" It's not showing any of arduino plugin information.I think config.ini need to change for cdt imo. 

Expected results:

Should load arduino plugin and should work. 

Additional info:

Comment 1 Onuralp SEZER 2016-06-08 14:51:50 UTC
Any update for this add-on problem not loaded ?

Comment 2 Jeff Johnston 2016-06-08 22:12:27 UTC
I'm looking at this.  It is due to a missing org.freemarker.freemarker jar.  I have experimented with adding a link in the cdt droplets folder and this got it working.  I am currently testing an official fix and hopefully will post it tomorrow.

Comment 3 Onuralp SEZER 2016-06-08 22:30:38 UTC
Thank you ! Will wait for test and say result quickly.

Comment 4 Alexander Kurtakov 2016-08-16 09:16:21 UTC
Is this bug fixed now?

Comment 5 Roland Grunberg 2016-09-12 15:13:00 UTC
From what I can see, this is still an issue :

org.eclipse.cdt.arduino.core [853]
  Unresolved requirement: Require-Bundle: org.eclipse.tools.templates.freemarker; bundle-version="1.0.0"; visibility:="reexport"
    -> Bundle-SymbolicName: org.eclipse.tools.templates.freemarker; bundle-version="1.0.0.201607010959"
       org.eclipse.tools.templates.freemarker [852]
         Unresolved requirement: Require-Bundle: org.freemarker.freemarker; visibility:="reexport"

$ rpm -q "osgi(org.freemarker.freemarker)" --whatrequires
eclipse-cdt-9.0.0-1.fc24.x86_64

org.freemarker.freemarker is symlinked under eclipse-cdt-sdk and eclipse-cdt-qt, but neither are required by eclipse-cdt-arduino so the package remains unresolved.

Comment 6 Roland Grunberg 2016-09-13 14:22:36 UTC
I have a fix for this that I plan to backport into f24 : http://pkgs.fedoraproject.org/cgit/rpms/eclipse-cdt.git/commit/?id=149f51c3dcb9f7fb3d3d26d161102c70d833cbae

It turns out there was a cycle in how we placed bundles, causing the packaging logic to do incorrect things.

Comment 7 Fedora Update System 2016-09-13 20:40:01 UTC
eclipse-cdt-9.0.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c2ecc44bef

Comment 8 Alexander Kurtakov 2016-09-13 20:46:10 UTC
Is this fix coming to F25 updates too?

Comment 9 Fedora Update System 2016-09-14 20:56:46 UTC
eclipse-cdt-9.0.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c2ecc44bef

Comment 10 Fedora Update System 2016-11-14 10:28:30 UTC
eclipse-4.6.1-6.fc24 eclipse-xpand-2.2.0-1.fc24 eclipse-swtbot-2.5.0-3.fc24 eclipse-mylyn-3.20.2-2.fc24 eclipse-cdt-9.1.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd0af66bae

Comment 11 Fedora Update System 2016-11-15 02:30:14 UTC
eclipse-4.6.1-6.fc24, eclipse-cdt-9.1.0-2.fc24, eclipse-mylyn-3.20.2-2.fc24, eclipse-swtbot-2.5.0-3.fc24, eclipse-xpand-2.2.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd0af66bae

Comment 12 Fedora Update System 2016-11-23 03:53:57 UTC
eclipse-4.6.1-6.fc24, eclipse-cdt-9.1.0-2.fc24, eclipse-mylyn-3.20.2-2.fc24, eclipse-swtbot-2.5.0-3.fc24, eclipse-xpand-2.2.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.